Bug 1736808 - neofetch's dependencies need updating
Summary: neofetch's dependencies need updating
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: neofetch
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Kees de Jong
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-02 05:38 UTC by Ryan Gonzalez
Modified: 2019-08-14 01:05 UTC (History)
1 user (show)

Fixed In Version: neofetch-6.0.0-4.fc29 neofetch-6.0.0-4.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-12 01:39:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Ryan Gonzalez 2019-08-02 05:38:52 UTC
Description of problem: neofetch's dependency list is needs updating, based on https://github.com/dylanaraps/neofetch/wiki/Dependencies#required-dependencies :

- scrot was for the built-in screenshot feature that has since been removed.
- One of dig or curl is required for detecting the public IP, not both.
- Only two of the packages for images are in requires: caca-utils and jp2a. I think libsixel is required to begin with, and even then, only 3 terminals support it out-of-the-box without adding more requires. IMO caca-utils and jp2a should be moved to Recommends with the other image-related dependencies instead.


Version-Release number of selected component (if applicable): all active versions.

Comment 1 Kees de Jong 2019-08-03 10:32:24 UTC
[x] w3m-img
[-] iTerm2
[ ] Terminology
[-] kitty
[-] libsixel
[-] termpix
[-] pixterm
[x] catimg
[x] jp2a
[x] caca-utils

[x] = Included
[-] = Not available in repo
[ ] = Available, but not included

Thanks for you report. The reason I didn't include Terminology is because it's a full fledged terminal emulator [1]. If someone wants to use this emulator, one should install it. I've updated the spec file according to your feedback, I will run some tests and then will include it in the test repository. Please test it and verify its functionality. The link for this will appear in this bug report automatically once the build is pushed. Please provide any feedback or questions.


[1] https://www.enlightenment.org/about-terminology

Comment 2 Fedora Update System 2019-08-03 11:04:06 UTC
FEDORA-2019-cc97eb3efb has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cc97eb3efb

Comment 3 Fedora Update System 2019-08-03 11:28:34 UTC
FEDORA-2019-f035f2ac39 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f035f2ac39

Comment 4 Fedora Update System 2019-08-04 02:19:30 UTC
neofetch-6.0.0-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f035f2ac39

Comment 5 Fedora Update System 2019-08-04 02:26:38 UTC
neofetch-6.0.0-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cc97eb3efb

Comment 6 Ryan Gonzalez 2019-08-04 03:19:57 UTC
Thanks for updating!

> The reason I didn't include Terminology is because it's a full fledged terminal emulator

Indeed, which is why I didn't suggest that ;)

Comment 7 Fedora Update System 2019-08-12 01:39:13 UTC
neofetch-6.0.0-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-08-14 01:05:17 UTC
neofetch-6.0.0-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.